

   FIXED DISK CLUSTER SIZE  - PC DOS 3.30

   The following information is based on an earlier CompuServe file
   titled `DOS31A.PAT' prepared by the IBMPC SIG Users Group (collated
   by Bill Higgins).  The information has been modified for DOS 3.30.

   The problem is similar to DOS 3.1 and 10 Meg hard drives, in that
   FDISK now permits partitioning a drive into logical units.  If the
   logical unit is under 20 Meg, DOS 3.30 sets 4 k (4096 byte) clusters.
   A cluster is the smallest unit of disk space accessible by DOS.  For
   some unknown reason, DOS uses 4k clusters when one might want 512 byte
   1024 byte, or 2048 byte clusters on smaller partitions.  Imagine the
   amount of wasted space if your average file is only 500 bytes.


         2K (or 1K) Cluster Size for 10MB Partitions under DOS 3.30

   (1) IBM PC-DOS version 3.30 (also known as 3.3).  Do not attempt this
       with COMPAQ 3.31!

   (2) A disk utility such as PCTOOLS or DEBUG to edit the boot area of a
       partition.  You'll need to repeat the steps 2 - 6 for each partition
       that you modify.

   Most critical to the process is the sequence in which this procedure is
   attempted.  Here is the 4k to 2k cluster procedure:

   (1)  Do a complete backup of the entire drive, using your favorite backup
        utility.

   (2)  Cold boot DOS 3.30, run FDISK to create or be sure that a DOS
        and extended partition(s) exist on the Drive.

   (3)  Format each of the partitions using the DOS 3.30 FORMAT program.  Do
        NOT use any parameters (no /s or /v).

   (4)  Using your disk utility, select the boot sector and view it.
        See below for an explanation of the pertinent info in this sector.
        At location AA below, you should see a value of 08 which is the
        number of sectors per cluster.  Change this to 04 (or 02 for 1k
        clusters).

        At location BB below, you should see a value of 0800 which is the
        number of sectors per fat (in hex Word format).  Change this to 1500
        (or 2800 for 1k clusters).  This value will differ for larger or
        smaller partitions.  The key is to maintain a direct PROPORTION
        for the sample values shown.  YOU MUST BE FAMILIAR WITH HEXADECIMAL
        MATH TO DO THIS!  The results should appear as in CC and DD below.

        Example of first few bytes in the Boot Sector of the partition,
        displayed in hex format, after formatting with DOS 3.30, and prior
        to 2k (or 1k) cluster size changes:

             EB349049 424D2020 332E3300 02080100 020002FB 4FF80800
                                          ^^                  ^^^^
                                          AA                   BB

          After the 2k cluster size changes:

             EB349049 424D2020 332E3300 02040100 020002FB 4FF81500
                                          ^^                  ^^^^
                                          CC                   DD

          After the 1k cluster size changes:

             EB349049 424D2020 332E3300 02020100 020002FB 4FF82800
                                          ^^                  ^^^^
                                          CC                   DD


      A more detailed explanation of these two changes:

      The number of sectors per cluster would change from 08 to 04, since
      that's what this is all about.  The sectors per FAT will change, in
      order to accommodate (1) the increased number of possible FAT
      entries, and (2) the increased size of each fat entry which will be
      in 16-bit format instead of the former 12-bits.  The value to use for
      a 10 meg & 2k clusters would be 21 sectors, or 1500 in hex word
      format. (In this case the 15 is all that counts. 15 hex = 21 decimal.)


   (5)  Exit the disk utility and do a cold boot with DOS 3.30.

   (6)  Reformat the drive using the DOS 3.30 FORMAT command.

             FORMAT C: /S for Drive C (or the boot unit)
             FORMAT D: (where D is the extended logical unit you've altered)
        (You may also include  /V, if you wish to include a volume label.
        You'll need to do this for each unit you've altered.)

   (7)  Restore your files, using you favorite BACKUP / RESTORE utility.

        YOU MUST NOT ALLOW THE TWO SYSTEM FILES, IBMBIO.COM AND IBMDOS.COM
        TO BE RESTORED, EVEN IF THEY ARE DOS 3.30 !!!  IF YOU DO, THEY WILL
        NOT BE PUT IN THE PROPER LOCATIONS AND YOUR FIXED DISK WILL NOT BE
        BOOTABLE AND YOU WILL HAVE TO REFORMAT !!!

        Avoid restoring an earlier version of COMMAND.COM, but if you do
        restore an earlier version, nothing is lost, just be sure to copy
        a 3.30 version over it afterwards.  You should now be operational
        again, with 2k (or 1K) clusters.

   A word of warning!  Always backup before fooling with hard drives.  Even
   if this procedure doesn't work on YOUR machine, you can always repartition
   with FDISK, and FORMAT each partition again.  Your backup can restore your
   original data.  This is important since the FORMAT process destroys data.

   If you have any questions, contact Fred Niemczenia at CI$ 76606,2060 or
   FidoNet address 1:371/7.